HdfsClientConfigKeys.HttpClient (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.client, interface: HdfsClientConfigKeys, interface: HttpClient

Package org.apache.hadoop.hdfs.client

# Interface HdfsClientConfigKeys.HttpClient

Enclosing interface:
  HdfsClientConfigKeys

public static interface HdfsClientConfigKeys.HttpClient
dfs.http.client configuration properties

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FAILOVER_MAX_ATTEMPTS_DEFAULT`
  `static final String`
  `FAILOVER_MAX_ATTEMPTS_KEY`
  `static final int`
  `FAILOVER_SLEEPTIME_BASE_DEFAULT`
  `static final String`
  `FAILOVER_SLEEPTIME_BASE_KEY`
  `static final int`
  `FAILOVER_SLEEPTIME_MAX_DEFAULT`
  `static final String`
  `FAILOVER_SLEEPTIME_MAX_KEY`
  `static final String`
  `PREFIX`
  `static final int`
  `RETRY_MAX_ATTEMPTS_DEFAULT`
  `static final String`
  `RETRY_MAX_ATTEMPTS_KEY`
  `static final boolean`
  `RETRY_POLICY_ENABLED_DEFAULT`
  `static final String`
  `RETRY_POLICY_ENABLED_KEY`
  `static final String`
  `RETRY_POLICY_SPEC_DEFAULT`
  `static final String`
  `RETRY_POLICY_SPEC_KEY`

- ## Field Details

  - ### PREFIX

    static final String PREFIX
    See Also:
      - Constant Field Values

  - ### RETRY_POLICY_ENABLED_KEY

    static final String RETRY_POLICY_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### RETRY_POLICY_ENABLED_DEFAULT

    static final boolean RETRY_POLICY_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### RETRY_POLICY_SPEC_KEY

    static final String RETRY_POLICY_SPEC_KEY
    See Also:
      - Constant Field Values

  - ### RETRY_POLICY_SPEC_DEFAULT

    static final String RETRY_POLICY_SPEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### RETRY_MAX_ATTEMPTS_KEY

    static final String RETRY_MAX_ATTEMPTS_KEY
    See Also:
      - Constant Field Values

  - ### RETRY_MAX_ATTEMPTS_DEFAULT

    static final int RETRY_MAX_ATTEMPTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### FAILOVER_MAX_ATTEMPTS_KEY

    static final String FAILOVER_MAX_ATTEMPTS_KEY
    See Also:
      - Constant Field Values

  - ### FAILOVER_MAX_ATTEMPTS_DEFAULT

    static final int FAILOVER_MAX_ATTEMPTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### FAILOVER_SLEEPTIME_BASE_KEY

    static final String FAILOVER_SLEEPTIME_BASE_KEY
    See Also:
      - Constant Field Values

  - ### FAILOVER_SLEEPTIME_BASE_DEFAULT

    static final int FAILOVER_SLEEPTIME_BASE_DEFAULT
    See Also:
      - Constant Field Values

  - ### FAILOVER_SLEEPTIME_MAX_KEY

    static final String FAILOVER_SLEEPTIME_MAX_KEY
    See Also:
      - Constant Field Values

  - ### FAILOVER_SLEEPTIME_MAX_DEFAULT

    static final int FAILOVER_SLEEPTIME_MAX_DEFAULT
    See Also:
      - Constant Field Values